Bug 213192 - Review Request: python-nltk_lite - Natural Language Toolkit
Review Request: python-nltk_lite - Natural Language Toolkit
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: José Matos
Fedora Package Reviews List
:
: 177619 (view as bug list)
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-10-30 23:28 EST by Michel Alexandre Salim
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-13 00:28:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2006-10-30 23:28:26 EST
Spec URL: http://hircus.org/fedora/python-nltk_lite/python-nltk_lite.spec
SRPM URL: http://hircus.org/fedora/python-nltk_lite/python-nltk_lite-0.6.6-1.src.rpm
Description:
NLTK is a Python package that simplifies the construction of programs
that process natural language; and defines standard interfaces between
the different components of an NLP system.  It was designed primarily
to help teach graduate and undergraduate students about computational
linguistics; but it is also useful as a framework for implementing
research projects.

Note: the previous NLTK package in FE has been discontinued upstream; python-nltk_lite is the replacement.

http://fedoraproject.org/wiki/PackagingDrafts/ProvidesObsoletes

According to the (provisional?) guideline this package thus Obsoletes: python-nltk <= 1.4.4-2%{dist}, the latest released across all FE branches, but does not Provides: python-nltk. rpmlint will thus throw an error on the binary RPM produced.

The spec is slightly modified from the one for python-nltk, taking advantage of FE4+'s bytecode compiling script for Python, and to not exclude *.pyo files.
Comment 1 Michel Alexandre Salim 2006-11-09 11:04:25 EST
*** Bug 177619 has been marked as a duplicate of this bug. ***
Comment 2 José Matos 2006-11-10 18:41:39 EST
Review for release 1:
* RPM name is OK
* Source nltk_lite-0.6.6.tar.gz is the same as upstream
* This is the latest version
* Builds fine in mock
* rpmlint looks OK
* File list looks OK
* License is correct and acceptable for Fedora (GPL)
* Package is code not content
* Package follows guidelines
* Spec file is readable and written in American English
* Requires and Build Requires are the necessary

One small question though, why do you set CFLAGS since this package is noarch?

Regardless this is not a blocker and this package is Approved.
Comment 3 Michel Alexandre Salim 2006-11-13 00:28:57 EST
CFLAGS removed. Thanks for noticing - I guess I got it from the default Python
template and forgot to remove it.

Note You need to log in before you can comment on or make changes to this bug.